<?php

namespace domain\Distribution\PointSaleDistribution;

use domain\_\AbstractModule;

class PointSaleDistributionModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            PointSaleDistributionDefinition::class,
            PointSaleDistributionRepository::class,
            PointSaleDistributionBuilder::class,
        ];
    }

    public function getDefinition(): PointSaleDistributionDefinition
    {
        return PointSaleDistributionDefinition::getInstance();
    }

    public function getRepository(): PointSaleDistributionRepository
    {
        return PointSaleDistributionRepository::getInstance();
    }

    public function getBuilder(): PointSaleDistributionBuilder
    {
        return PointSaleDistributionBuilder::getInstance();
    }
}